| USRP Hardware Driver and USRP Manual Version: 4.9.0.makepkg-0-g9ec1f582 UHD and USRP Manual |

Loading...
Searching...
No Matches
uhd::fs_path Struct Reference

`#include <uhd/property_tree.hpp>`

Inheritance diagram for uhd::fs_path:

## Public Member Functions
UHD_API | fs_path (void)
UHD_API | fs_path (const char *)
UHD_API | fs_path (const std::string &)
UHD_API std::string | leaf (void) const
UHD_API fs_path | branch_path (void) const

## Detailed Description

FS Path: A glorified string with path manipulations. Inspired by boost filesystem path, but without the dependency.

## Constructor & Destructor Documentation

## ◆ fs_path() [1/3]

UHD_API uhd::fs_path::fs_path | ( | void |  | ) |

## ◆ fs_path() [2/3]

UHD_API uhd::fs_path::fs_path | ( | const char * |  | ) |

## ◆ fs_path() [3/3]

UHD_API uhd::fs_path::fs_path | ( | const std::string & |  | ) |

## Member Function Documentation

## ◆ branch_path()

UHD_API fs_path uhd::fs_path::branch_path | ( | void |  | ) | const

## ◆ leaf()

UHD_API std::string uhd::fs_path::leaf | ( | void |  | ) | const

The documentation for this struct was generated from the following file:

- property_tree.hpp